
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Delphi调用WinAPI 字符及字符串函数(1) / iVAN</title>

    <meta name="description" content="Delphi调用WinAPI 字符及字符串函数(1) CharLower - 字符或字符串转小写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton; Button5:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Delphi调用WinAPI 字符及字符串函数(1)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>CharLower - 字符或字符串转小写</p>
<p>unit Unit1;</p>
<p><code>interface<br />
uses<br />
　Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,<br />
　Dialogs, StdCtrls;<br />
type<br />
　TForm1 = class(TForm)<br />
　　Button1: TButton;<br />
　　Button2: TButton;<br />
　　Button3: TButton;<br />
　　Button4: TButton;<br />
　　Button5: TButton;<br />
　　procedure Button1Click(Sender: TObject);<br />
　　procedure Button2Click(Sender: TObject);<br />
　　procedure Button3Click(Sender: TObject);<br />
　　procedure Button4Click(Sender: TObject);<br />
　　procedure Button5Click(Sender: TObject);<br />
　end;<br />
var<br />
　Form1: TForm1;<br />
implementation<br />
{$R *.dfm}</code></p>
<p>{对字符}</p>
<p><code>procedure TForm1.Button1Click(Sender: TObject);<br />
var<br />
　C: Char;<br />
begin<br />
　C := 'A';<br />
　C := Char(CharLower(PChar(C)));<br />
　ShowMessage(C); {a}<br />
end;</code></p>
<p>{对字符常量}</p>
<p><code>procedure TForm1.Button2Click(Sender: TObject);<br />
var<br />
　C: Char;<br />
begin<br />
　C := Char(CharLower(PChar('A')));<br />
　ShowMessage(C); {a}<br />
end;</code></p>
<p>{对字符数组}</p>
<p><code>procedure TForm1.Button3Click(Sender: TObject);<br />
var<br />
　Arr: array[0..2+1] of Char;<br />
begin<br />
　Arr := 'ABC';<br />
　CharLower(Arr);<br />
　ShowMessage(Arr); {abc}<br />
end;</code></p>
<p>{对字符串}</p>
<p><code>procedure TForm1.Button4Click(Sender: TObject);<br />
var<br />
　str: string;<br />
begin<br />
　str := 'ABC';<br />
　CharLower(@str[1]);<br />
　ShowMessage(str); {abc}<br />
end;<br />
{Delphi 的 SysUtils.LowerCase}<br />
procedure TForm1.Button5Click(Sender: TObject);<br />
var<br />
　str: string;<br />
begin<br />
　str := 'ABC';<br />
　str := LowerCase(str);<br />
　ShowMessage(str); {abc}<br />
end;</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 19:09:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.iamivan.net/tag/str/" title="str">str</a>, <a href="https://www.iamivan.net/tag/sender/" title="sender">sender</a>, <a href="https://www.iamivan.net/tag/procedure/" title="procedure">procedure</a>, <a href="https://www.iamivan.net/tag/button/" title="button">button</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Delphi调用WinAPI 字符及字符串函数(1)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeBlVb.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharUpper - 字符或字符串转大写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton; Button5:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ0xOz.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;14&rpar;&colon; CharToOem、OemToChar</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharToOemBuff.OemToCharBuff 与 CharToOem.OemToChar 的区别只是前者可以指 定要转换的字符数.unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMg2rAb.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;11&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lstrcpyn - 复制字符串, 同时指定要复制的长度 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; procedure Button1Click(Sender: TObject); end; var Form1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvVXAM.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;10&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lstrcpy - 复制字符串 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; procedure Button1Click(Sender: T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnljrb.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;9&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lstrcat - 合并字符串 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton; procedure Butt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bor4Bz.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharLowerBuff - 把缓冲区中指定数目的字符转大写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqQ3GM.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;13&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lstrcmp.lstrcmpi - 对比串 lstrcmp 区分大小写; lstrcmpi 不区分大小写. 返回值: -1.0.1, 其中 0 表示相 同. unit Unit1;interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Butto			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp51xmp.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;12&rpar;&colon; lstrlen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; procedure Button1Click(Sender: TObject); procedure Button2Click(Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ0xGz.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharLowerBuff - 把缓冲区中指定数目的字符转小写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJkDJb.html" rel="bookmark" class="title">编译-很奇怪的&OpenCurlyDoubleQuote;error C1083&colon; 无法打开包括文件&rdquo;！</a>
					<div>
						问题描述 很奇怪的&quot;error C1083: 无法打开包括文件&quot;! 程序的事情真是无奇不有,昨天碰到一个问题,真是百思不得其解,编译时报告我所写的一个头文件的引用找不到,查了 配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdLR3p.html" rel="bookmark" class="title">Javascript教程&colon;RegExp构造函数</a>
					<div>
						文章简介:ECMAScript通过RegExp类型来支持正则表达式. ECMAScript通过RegExp类型来支持正则表达式. var expression = /pattern / flags;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b38vgM.html" rel="bookmark" class="title">一个很强的验证脚本</a>
					<div>
						脚本 var Page_ValidationVer = &quot;125&quot;;var Page_IsValid = true;var Page_BlockSubmit = false;var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEvY9M.html" rel="bookmark" class="title">返璞归真让站点真正为访客来服务</a>
					<div>
						不论是哪一个行业的站点,其作为一个站点的根本的运营之道就是帮助访客和向访客更好的去展示自身所在行业的价值,一个站点只有从这个方向切入,那么才是一个纯纯粹粹的站点.套句老话:如果一件事物仅仅是为了自身的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A9RAp.html" rel="bookmark" class="title">SharePoint Designer 2010创建限制筛选器</a>
					<div>
						本文将带领大家了解在SharePoint Designer 2010中如何为BCS外部内容类型 创建限制筛选器.这类筛选器用于限制从我们的后端数据源返回记录的数量,以 提高性能.同时,用户需要处理的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1aD7z.html" rel="bookmark" class="title">SQL语句简单语法</a>
					<div>
						  SQL语句基本的四大元素(增,删,改,查) 插入数据 语法:INSERT INTO 表名(字段1,字段2,...)VALUES(值1,值2,...) 其中,INTO可选. 例如:将姓名'张三'学号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1r7nz.html" rel="bookmark" class="title">傲游云浏览器怎么设置皮肤</a>
					<div>
						  1.首先我们打开傲游浏览器,然后我们点击右侧的三个条条的按钮. 2.然后在下拉菜单中,选择&quot;皮肤&quot;按钮 3.在选择皮肤的对话框中,选择自己想要的,点击&quot;保存当前皮肤& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NxDJz.html" rel="bookmark" class="title">Lightroom教学：照片的改动是怎样记录的</a>
					<div>
						  大家知道使用Lightroom修片是实时记录而不必特别按储存,然而大家的改动究竟存于哪儿呢?最近就有读者寄邮件给我查询,我才发现我之前的介绍并没有讲得很清楚,我把他的问题和我的答案例出,希望大家会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL9OGb.html" rel="bookmark" class="title">chrome居中但ie不居中的解决方法</a>
					<div>
						  CSS 如何使DIV层水平居中 今天用CSS碰到个很棘手的问题,DIV本身没有定义自己居中的属性, 网上很多的方法都是介绍用上级的text-align: center然后嵌套一层DIV来解决问题. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnqPmz.html" rel="bookmark" class="title">python使用append合并两个数组的方法</a>
					<div>
						  这篇文章主要介绍了python使用append合并两个数组的方法,涉及Python中append方法的使用技巧,需要的朋友可以参考下 本文实例讲述了python使用append合并两个数组的方法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7nE0M.html" rel="bookmark" class="title">windows无法连接到无线网络怎么解决</a>
					<div>
						  首先使用services.msc命令进入服务窗口. 找到名为WLAN AutoConfig的服务,设置启动类型为自动,点击启动按钮即可. 如果问题还是无法解决,可以尝试修改dns来解决问题.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7g29M.html" rel="bookmark" class="title">如何为U盘添加安全使用权限</a>
					<div>
						  一.首先将我们的U盘建立为个文件夹目录:系统.工作.TMP,重要文件保存在&quot;工作&quot;目录,只能增加文件不能随便删除:&quot;系统&quot;,文件夹保存一些固定的文件,类似电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYGo6b.html" rel="bookmark" class="title">我的大数据入门经验</a>
					<div>
						大数据基础环境学习: 因为大数据相关技术很多,就说一下我自己的学习过程吧,希望能给大家一些帮助.我一开始是自己感兴趣看了一些文章,也在本机用虚机搭了个环境自己自娱自乐,主要是用的CDH,把相关功能都用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWqP0b.html" rel="bookmark" class="title">C&plus;&plus;获取控制台输入</a>
					<div>
						1 输入C风格字符串 char name[20]; gets(name);           //方式1 //cin.get(name,20);//方式2 2 输入string string str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Bgab.html" rel="bookmark" class="title">数据挖掘与数据化运营实战&period; 3&period;4　用户路径分析</a>
					<div>
						3.4 用户路径分析 用户路径分析是互联网行业特有的分析专题,主要是分析用户在网页上流转的规律和特点,发现频繁访问的路径模式,这些路径的发现可以有很多业务用途,包括提炼特定用户群体的主流路径.网页设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lwQ9b.html" rel="bookmark" class="title">原创，想说爱你不容易</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我相信每个站长都希望能够原创,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdELdAz.html" rel="bookmark" class="title">swf js  调用疑问？？？？？</a>
					<div>
						问题描述 swf js 调用疑问????? 在加载swf的index.htm文件中 if (AC_FL_RunContent == 0) {alert(&quot;This page requires ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg2d5b.html" rel="bookmark" class="title">请教一个关于C&num;接口dephi dll文件的问题。</a>
					<div>
						问题描述 有一个无法更改的第三方控件,是dephi写的.我用c#访问他,读取一些数据.dephi函数原型:functionJX102R_Read_Card(varReaderNo:integer;Ca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKWxNb.html" rel="bookmark" class="title">css3实现色子自动翻转效果</a>
					<div>
						原文:css3实现色子自动翻转效果 css3使我们能够跳出2d空间,实现3维空间的动画效果,这里给出一个自动翻转的3d色子动画效果制作过程. 第一步,首先进行HTML的布局,对于3D效果,布局有一定的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRdWxb.html" rel="bookmark" class="title">xcode-Xcode更新7&period;3之后出现</a>
					<div>
						问题描述 Xcode更新7.3之后出现 Xcode更新7.3之后打开下载的程序就出现这个警告框.怎么把它给干掉. 解决方案 直接open 下次还会跳吗? 解决方案二: 下次就不会弹出这个警告框了,只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBmZ0M.html" rel="bookmark" class="title">详细介绍Z-Buffer与W-Buffer</a>
					<div>
						Depth-Buffer(深度缓存)有两种:Z-Buffer 和 W-Buffer,这里讨论这两种深度缓存的区别,以及如何在两者之间转换. w 的含义 3D空间点的坐标是(x,y,z),为了使矩阵乘法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB0NoM.html" rel="bookmark" class="title">崇左移动电力行业物联网应用获新突破</a>
					<div>
						待安装设备的电力抢修车.崇左移动供图工作人员正在安装车务通设备.崇左移动供图 广西新闻网崇左11月1日讯(通讯员 梁红丹)近日,崇左移动与广西电网公司崇左供电局达成&quot;车务通&quot;合作项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXd7xb.html" rel="bookmark" class="title">VBscrip</a>
					<div>
						问题描述 Asp.net中Scrip请教!&lt;headrunat=&quot;server&quot;&gt;&lt;title&gt;验证演示&lt;/title&gt;&lt;scriptla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw553M.html" rel="bookmark" class="title">搜索引擎市场腾讯威风不再搜搜输在哪？</a>
					<div>
						搜搜今年发生无数巨动,被拆分至腾讯其他事业部,几名高管相继离职,而微博上有消息说,人员流失已经达到了40%.曾经几年的风光投入,也曾引起过百度的紧张,为什么会走到今天这一步呢?我也说说我的看法. 梦中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye5jlM.html" rel="bookmark" class="title">树的层次遍历可以解决哪些实际现实问题？</a>
					<div>
						问题描述 各位大哥,树的层次遍历可以解决哪些实际现实问题?能否举些现实世界的实际问题吗?谢谢. 解决方案 解决方案二:现实问题,比如说要以树的形式显示某个数据.解决方案三:如果你不能理解&quot;要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrAKkp.html" rel="bookmark" class="title">JSP：form表单中的onclick事件无效</a>
					<div>
						问题描述 在没有添加form表单前删除全部按钮的功能能用但是加上form表单之后就不行了加入form表单的原因是向ShoppingCartServlet发送flag=update完成修改数量的功能谢谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Nn5Dz.html" rel="bookmark" class="title">深入解读Android的内部进程通信接口AIDL&lowbar;Android</a>
					<div>
						意义: 由于每个应用进程都有自己的独立进程空间,在android平台上,一个进程通常不能访问另一个进程的内存空间,而我们经常需要夸进程传递对象,就需要把对象分解成操作对象可以理解的基本单元,并且有序的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QwdaM.html" rel="bookmark" class="title">ASP&period;NET MVC图片上传前预览简单实现&lowbar;实用技巧</a>
					<div>
						本文实例为大家分享了图片上传前预览并获取图片文件名和图片字节大小的具体实现代码,供大家参考,具体内容如下 在控制器中创建一个Action: 在Views目录下对应的控制器名称下创建视图PreViewi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkmKOp.html" rel="bookmark" class="title">三星G5108Q特别费电怎么办？三星G5108Q省电模式开启教程</a>
					<div>
						1.我们在G5108Q手机待机桌面点击[应用程序]打开进入.   2.在进入到[应用程序]点击[设定]打开,如图.   3.向上滑动屏幕,点击[超级省电模式]打开进入,具体如图所示.   4.点击[超 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8e20b.html" rel="bookmark" class="title">mfc-&lowbar;tcslen 和 lstrlen 有什么区别？ 网上好多资料不详细</a>
					<div>
						问题描述 _tcslen 和 lstrlen 有什么区别? 网上好多资料不详细 _tcslen 和 lstrlen 有什么区别?网上查了好多资料,说的一点也不详细. 解决方案 strlen是计算字符串 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.020 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
